#include <bits/stdc++.h>
using namespace std;
int n,m,a,b,c;
struct slog{
  int prvi,drugi;
  int t;
}sl;
vector <slog> v[200007];
int main(){
  cin>>n>>m;
  for(int i=1;i<=m;i++){
      cin>>a>>b>>c;
      sl.prvi=a;
      sl.drugi=b;
      sl.t=c;
      v[sl.a].push_back(sl);
      swap(sl.prvi,sl.drugi);
      v[sl.a].push_back(sl);

  }


  return 0;
}